#pragma once

#define FACTION_PLAYER 0

/* Get stuff. */
int faction_get(const char* name);
int faction_getAlliance(char* name);
char* faction_name(int f);

/* Player stuff. */
void faction_modPlayer(int f, int mod);
int faction_getPlayer(int f);

/* Works with only factions. */
int areEnemies(int a, int b);
int areAllies(int a, int b);

/* Faction + Alliance. */
int faction_ofAlliance(int f, int a);

/* Check. */
int faction_isAlliance(int a);
int faction_isFaction(int f);

/* Load/Free. */
int factions_load(void);
void factions_free(void);

